EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_SLIDER_INTERVAL_EVENT_SLIDER_DRAG_START =
   EFL_EVENT_DESCRIPTION("slider,drag,start");
EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_SLIDER_INTERVAL_EVENT_SLIDER_DRAG_STOP =
   EFL_EVENT_DESCRIPTION("slider,drag,stop");

void _efl_ui_slider_interval_interval_value_set(Eo *obj, Efl_Ui_Slider_Interval_Data *pd, double from, double to);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_slider_interval_value_set, EFL_FUNC_CALL(from, to), double from, double to);

void _efl_ui_slider_interval_interval_value_get(const Eo *obj, Efl_Ui_Slider_Interval_Data *pd, double *from, double *to);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_ui_slider_interval_value_get, EFL_FUNC_CALL(from, to), double *from, double *to);

Efl_Object *_efl_ui_slider_interval_efl_object_constructor(Eo *obj, Efl_Ui_Slider_Interval_Data *pd);


void _efl_ui_slider_interval_efl_object_destructor(Eo *obj, Efl_Ui_Slider_Interval_Data *pd);


Eina_Error _efl_ui_slider_interval_efl_ui_widget_theme_apply(Eo *obj, Efl_Ui_Slider_Interval_Data *pd);


Eina_Bool _efl_ui_slider_interval_efl_ui_widget_on_access_activate(Eo *obj, Efl_Ui_Slider_Interval_Data *pd, Efl_Ui_Activate act);


Eina_Bool _efl_ui_slider_interval_efl_ui_widget_widget_input_event_handler(Eo *obj, Efl_Ui_Slider_Interval_Data *pd, const Efl_Event *eo_event, Efl_Canvas_Object *source);


void _efl_ui_slider_interval_efl_ui_range_display_range_value_set(Eo *obj, Efl_Ui_Slider_Interval_Data *pd, double val);


double _efl_ui_slider_interval_efl_ui_range_display_range_value_get(const Eo *obj, Efl_Ui_Slider_Interval_Data *pd);


void _efl_ui_slider_interval_efl_ui_range_display_range_limits_set(Eo *obj, Efl_Ui_Slider_Interval_Data *pd, double min, double max);


void _efl_ui_slider_interval_efl_ui_range_display_range_limits_get(const Eo *obj, Efl_Ui_Slider_Interval_Data *pd, double *min, double *max);


void _efl_ui_slider_interval_efl_ui_range_interactive_range_step_set(Eo *obj, Efl_Ui_Slider_Interval_Data *pd, double step);


double _efl_ui_slider_interval_efl_ui_range_interactive_range_step_get(const Eo *obj, Efl_Ui_Slider_Interval_Data *pd);


void _efl_ui_slider_interval_efl_ui_layout_orientable_orientation_set(Eo *obj, Efl_Ui_Slider_Interval_Data *pd, Efl_Ui_Layout_Orientation dir);


Efl_Ui_Layout_Orientation _efl_ui_slider_interval_efl_ui_layout_orientable_orientation_get(const Eo *obj, Efl_Ui_Slider_Interval_Data *pd);


const Efl_Access_Action_Data *_efl_ui_slider_interval_efl_access_widget_action_elm_actions_get(const Eo *obj, Efl_Ui_Slider_Interval_Data *pd);


static Eina_Bool
_efl_ui_slider_interval_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_SLIDER_INTERVAL_EXTRA_OPS
#define EFL_UI_SLIDER_INTERVAL_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_slider_interval_value_set, _efl_ui_slider_interval_interval_value_set),
      EFL_OBJECT_OP_FUNC(efl_ui_slider_interval_value_get, _efl_ui_slider_interval_interval_value_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_slider_interval_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_slider_interval_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_theme_apply, _efl_ui_slider_interval_efl_ui_widget_theme_apply),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_on_access_activate, _efl_ui_slider_interval_efl_ui_widget_on_access_activate),
      EFL_OBJECT_OP_FUNC(efl_ui_widget_input_event_handler, _efl_ui_slider_interval_efl_ui_widget_widget_input_event_handler),
      EFL_OBJECT_OP_FUNC(efl_ui_range_value_set, _efl_ui_slider_interval_efl_ui_range_display_range_value_set),
      EFL_OBJECT_OP_FUNC(efl_ui_range_value_get, _efl_ui_slider_interval_efl_ui_range_display_range_value_get),
      EFL_OBJECT_OP_FUNC(efl_ui_range_limits_set, _efl_ui_slider_interval_efl_ui_range_display_range_limits_set),
      EFL_OBJECT_OP_FUNC(efl_ui_range_limits_get, _efl_ui_slider_interval_efl_ui_range_display_range_limits_get),
      EFL_OBJECT_OP_FUNC(efl_ui_range_step_set, _efl_ui_slider_interval_efl_ui_range_interactive_range_step_set),
      EFL_OBJECT_OP_FUNC(efl_ui_range_step_get, _efl_ui_slider_interval_efl_ui_range_interactive_range_step_get),
      EFL_OBJECT_OP_FUNC(efl_ui_layout_orientation_set, _efl_ui_slider_interval_efl_ui_layout_orientable_orientation_set),
      EFL_OBJECT_OP_FUNC(efl_ui_layout_orientation_get, _efl_ui_slider_interval_efl_ui_layout_orientable_orientation_get),
      EFL_OBJECT_OP_FUNC(efl_access_widget_action_elm_actions_get, _efl_ui_slider_interval_efl_access_widget_action_elm_actions_get),
      EFL_UI_SLIDER_INTERVAL_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_slider_interval_class_desc = {
   EO_VERSION,
   "Efl.Ui.Slider_Interval",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Slider_Interval_Data),
   _efl_ui_slider_interval_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_slider_interval_class_get, &_efl_ui_slider_interval_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_UI_RANGE_INTERACTIVE_INTERFACE, EFL_UI_LAYOUT_ORIENTABLE_INTERFACE, EFL_ACCESS_WIDGET_ACTION_MIXIN, NULL);
